Package Halberd :: Module conflib |
[show private | hide private]
[frames | no frames]

## Module Halberd.conflib

Configuration file management module.

Halberd uses configuration files to store relevant information needed for certain protocols (SSL) or modes of operation (proxy, distributed client/server, etc.).

This module takes care of reading and writing configuration files.

Classes
`ConfReader` | Takes care of turning configuration files into meaningful information.

Exceptions
`InvalidConfFile` | Invalid configuration file.

Variable Summary
`int` | `default_proxy_port`: Default TCP port to listen when acting as a proxy.

Variable Details

    ### default_proxy_port Default TCP port to listen when acting as a proxy. Type: `int` Value:
        8080

Generated by Epydoc 2.1 on Thu Aug 24 19:08:32 2006 | http://epydoc.sf.net